org.multiverse.stms.gamma.transactionalobjects

## Class CallableNode

- java.lang.Object
- - org.multiverse.stms.gamma.transactionalobjects.CallableNode

    public final class CallableNode
    extends java.lang.Object

### Field Summary

Fields
`Function` `function`
`CallableNode` `next`

### Constructor Summary

Constructors
Constructor and Description
`CallableNode()`
`CallableNode(Function function, CallableNode next)`

### Method Summary

Methods
`void` `prepareForPooling()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### next

    public CallableNode next

#### function

    public Function function

### Constructor Detail

#### CallableNode

    public CallableNode()

#### CallableNode

    public CallableNode(Function function,
                CallableNode next)

### Method Detail

#### prepareForPooling

    public void prepareForPooling()